is.beam {oce} | R Documentation

## Determine coordinate system

### Description

Determine coordinate system for acoustic-doppler device

### Usage

    is.beam(x)
    is.xyz(x)
    is.enu(x)
    coordinate(x)

### Arguments

`x` | an `oce` object that inherits from either `adp` or `adv`.

### Details

These functions work by checking the value of `x@metadata$oce.coordinate`, the main purpose being to prevent users from having to know the difference between that item and others of similar names.

### Value

The `is.` functions return `TRUE` if the object inherits from `adv` or `adp`, and is of the stated coordinate type, or `FALSE` otherwise. `coordinate` return a string indicating the coordinate system, `beam` (velocities oriented along acoustic beams), `xyz` (velocities in a cartesian coordinate system tied to the instrument, or its pressure case), or `enu` (a cartesian coordinate system with one component pointing east, the second north, and the third up.

### Author(s)

Dan Kelley

### See Also

`read.adp` and `read.adv` read such files; consult their documentation for information about other related functions.

### Examples

    data(adp)
    print(is.beam(adp))
    print(is.xyz(adp))
    print(is.enu(adp))
    print(coordinate(adp))

[Package oce version 0.9-18 Index]